CSFML 3.0.0
Loading...
Searching...
No Matches
Functions
Sleep.h File Reference
`#include <CSFML/System/Export.h>`
`#include <CSFML/System/Time.h>`

Go to the source code of this file.

## Functions
void | sfSleep (sfTime duration)
| Make the current thread sleep for a given duration.

## Function Documentation

## ◆ sfSleep()

void sfSleep | ( | sfTime | duration | ) |

Make the current thread sleep for a given duration.

sfSleep is the best way to block a program or one of its threads, as it doesn't consume any CPU power.

Parameters

  duration | Time to sleep